#ifndef	MATRSMPL_H
#define	MATRSMPL_H

/*
 * Bilinear-interpolated matrix (2D grayscale image) resampling.
 */

#ifdef  __cplusplus
extern  "C" {
#endif  /* __cplusplus */
	vhandle_t	V_GLOBAL	matCreateResampleContext(u32_t old_rows,
		u32_t old_cols,u32_t new_rows,u32_t new_cols);
	vboolean	V_GLOBAL	matGetResampleParameters(vhandle_t handle,
		u32_p old_rows_ret,u32_p old_cols_ret,
		u32_p new_rows_ret,u32_p new_cols_ret);
	vboolean	V_GLOBAL	matCanResample(vhandle_t handle,matrix_p dst,matrix_p src);
	vboolean	V_GLOBAL	matResample(vhandle_t handle,matrix_p dst,matrix_p src);
	void		V_GLOBAL	matDestroyResampleContext(vhandle_t handle);
#ifdef  __cplusplus
}
#endif  /* __cplusplus */

#endif	/* !MATRSMPL_H */
